=== docs/requirements.txt ===
sphinx==1.7.3
sphinxcontrib-googleanalytics
-e git+git://github.com/pytorch/pytorch_sphinx_theme.git#egg=pytorch_sphinx_theme
