=== debian/changelog ===
pytorch-vision (0.8.2-1ubuntu2) jammy; urgency=medium

  * Drop X-Python3-Version: 3.9 from debian/control

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 15:07:51 +0000

pytorch-vision (0.8.2-1ubuntu1) jammy; urgency=medium

  * Build-depend on python3-dev instead of python3-all-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 11 Feb 2022 12:42:19 +0000

pytorch-vision (0.8.2-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:25:24 +0000

pytorch-vision (0.8.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 08:28:43 +0000

pytorch-vision (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- Mo Zhou <lumin@debian.org>  Thu, 17 Dec 2020 12:19:31 +0800

pytorch-vision (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Specify X-Python3-Version: 3.9.

 -- Mo Zhou <lumin@debian.org>  Wed, 25 Nov 2020 16:06:07 +0800

pytorch-vision (0.7.0-2) unstable; urgency=medium

  * Disable python 3.9; not yet enabled in B-D python3-torch 1.6.0.
  * Change maintainer mail address into debian-ai@l.d.o
  * Bump debhelper compat level to 13.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 21 Oct 2020 09:31:44 +0800

pytorch-vision (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * Require libtorch-dev (>= 1.6.0) and python3-torch (>= 1.6.0) as B-D.

 -- Mo Zhou <lumin@debian.org>  Tue, 01 Sep 2020 10:48:21 +0800

pytorch-vision (0.6.1-1) experimental; urgency=medium

  * New upstream version 0.6.1
  * Add a bunch of missing build dependencies.

 -- Mo Zhou <lumin@debian.org>  Sun, 26 Jul 2020 22:16:41 +0800

pytorch-vision (0.6.0-1) experimental; urgency=medium

  * Initial release. (Closes: #958892)

 -- Mo Zhou <lumin@debian.org>  Thu, 30 Apr 2020 13:40:21 +0800
