=== debian/control ===
Source: pytorch-vision
Section: science
Homepage: https://github.com/pytorch/vision
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-vision.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-vision
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libtorch-dev (>= 1.6.0),
               ninja-build,
               python3,
               python3-numpy,
               python3-pillow,
               python3-scipy,
               python3-torch (>= 1.6.0),
               python3-setuptools,
               python3-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               python3-pybind11,
               pybind11-dev,

Package: python3-torchvision
Architecture: any
Depends: python3-torch, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Datasets, Transforms and Models specific to Computer Vision
 The torchvision package consists of popular datasets, model architectures, and
 common image transformations for computer vision.
