## pytorch-vision 0.13.1

=== debian/changelog ===
pytorch-vision (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * d/watch: update regex to match correct tags.
  * B-D on python3-dev instead of -all-dev.
  * cme update dpkg-copyright.
  * Bump X-Python3-Version to 3.10
  * Bump B-D to PyTorch 1.12.0.
  * Add new B-Ds: ffmpeg, png, jpeg, pyav.
  * Recommend python3-av for the binary package.
  * Skip dh_auto_configure due to upstream setup.py
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Sat, 01 Oct 2022 10:33:05 -0400
