=== debian/control ===
Source: pytorch-vision
Section: science
Homepage: https://github.com/pytorch/vision
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-vision.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-vision
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               ffmpeg,
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               libjpeg-dev,
               libpng-dev,
               libpostproc-dev,
               libswresample-dev,
               libswscale-dev,
               libtorch-dev (>= 1.12.0~),
               ninja-build,
               pybind11-dev,
               python3,
               python3-av,
               python3-dev,
               python3-numpy,
               python3-pillow,
               python3-pybind11,
               python3-scipy,
               python3-setuptools,
               python3-torch (>= 1.12.0~)
X-Python3-Version: 3.10

Package: python3-torchvision
Architecture: any
Depends: python3-torch, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: python3-av
Description: Datasets, Transforms and Models specific to Computer Vision
 The torchvision package consists of popular datasets, model architectures, and
 common image transformations for computer vision.
