=== examples/cpp/hello_world/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
 # The package pulls in all the necessary torch libraries,
 # so there is no need to also add `find_package(Torch)` here.
 find_package(TorchVision REQUIRED)
+
+# This due to LibTorch's version is the one included in the Python
+# package that links to Python.
+find_package(Python3 COMPONENTS Development)
 
 add_executable(hello-world main.cpp)
