=== debian/changelog ===
pytorch-vision (0.14.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: set X-Python3-Version to 3.11 only (Closes: #1030736).

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2023 14:18:41 +0800

pytorch-vision (0.14.1-1) unstable; urgency=medium

  [ Mo Zhou ]
  * dch: correction

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Aron Xu ]
  * Team upload.
  * New upstream version 0.14.1.

 -- Aron Xu <aron@debian.org>  Wed, 01 Feb 2023 16:17:11 +0800
