=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Homepage: https://github.com/pytorch/vision
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-vision.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-vision
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -36,7 +36,7 @@
                python3-scipy,
                python3-setuptools,
                python3-torch (>= 1.12.0~)
-X-Python3-Version: 3.10
+X-Python3-Version: 3.11
 
 Package: python3-torchvision
 Architecture: any
