=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pytorch-vision-$1.tar.gz%" \
https://github.com/pytorch/vision/tags \
(?:.*?/)?v(\d[\d.]*)\.tar\.gz debian uupdate
