## pytorch-vision 0.15.2

=== debian/changelog ===
pytorch-vision (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2 (Compatible w/ PyTorch 2.0.1)
  * Requires libtorch-dev >= 2.0.0~ for build depends.
  * Import upstream PR 7378 to fix FTBFS against ffmpeg 6.
  * Autopkgtest: add pytest.

 -- Mo Zhou <lumin@debian.org>  Tue, 05 Sep 2023 21:21:48 -0400
