=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libpostproc-dev,
                libswresample-dev,
                libswscale-dev,
-               libtorch-dev (>= 1.12.0~),
+               libtorch-dev (>= 2.0.0~),
                ninja-build,
                pybind11-dev,
                python3,
@@ -35,7 +35,7 @@
                python3-pybind11,
                python3-scipy,
                python3-setuptools,
-               python3-torch (>= 1.12.0~)
+               python3-torch (>= 2.0.0~)
 X-Python3-Version: 3.11
 
 Package: python3-torchvision
