=== debian/tests/control ===
Test-Command: cd test/ ; python3 -c "import torchvision as V; print(V.__path__, V.__version__)"
Depends: @
Restrictions: allow-stderr
Features: test-name=py_import_and_version

# NOTE, the number of all pytest is too many (> 100k)
#       we only test a subset of them.

Test-Command: cd test/ ; pytest-3 -v test_datasets.py
Depends: @, python3-pytest, python3-pytest-mock
Restrictions: allow-stderr
Features: test-name=pytest-datasets

Test-Command: cd test/ ; pytest-3 -v test_datasets_samplers.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-datasets-samplers

Test-Command: cd test/ ; pytest-3 -v -k "not lraspp_mobilenet_v3_large-LRASPP" test_extended_models.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-extended-models

Test-Command: cd test/ ; pytest-3 -v test_image.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-image

Test-Command: cd test/ ; pytest-3 -v -k "not test_write_video_with_audio" test_io.py
Depends: @, python3-pytest, python3-av
Restrictions: allow-stderr
Features: test-name=pytest-io

Test-Command: cd test/ ; pytest-3 -v test_models_detection_anchor_utils.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-models-detection-anchor-utils

Test-Command: cd test/ ; pytest-3 -v test_models_detection_negative_samples.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-models-detection-negative-samples

Test-Command: cd test/ ; pytest-3 -v test_models_detection_utils.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-models-detection-utils

# Too slow.
#Test-Command: cd test/ ; pytest-3 -v test_models.py
#Depends: @, python3-pytest
#Restrictions: allow-stderr
#Features: test-name=pytest-models

Test-Command: cd test/ ; pytest-3 -v test_onnx.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-onnx

Test-Command: cd test/ ; pytest-3 -v test_ops.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-ops

Test-Command: cd test/ ; pytest-3 -v -k 'not test_adjust_saturation' test_transforms.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-transforms.py

Test-Command: cd test/ ; pytest-3 -v test_transforms_tensor.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=pytest-transforms-tensor.py
