=== debian/changelog ===
pytorch-vision (0.19.1-1) unstable; urgency=medium

  * New upstream version 0.19.1 (Closes: #990483, #1065722)
    This release corresponds to PyTorch 2.4.1
  * Remove outdated patches.
  * Drop Python3 version declaration from control.
  * Refresh d/copyright.
  * Update autopkgtest control file. (Closes: #1051811, #1063950)

 -- Mo Zhou <lumin@debian.org>  Thu, 03 Oct 2024 01:11:55 -0400
