=== debian/control ===
--- 
+++ 
@@ -36,7 +36,6 @@
                python3-scipy,
                python3-setuptools,
                python3-torch (>= 2.0.0~)
-X-Python3-Version: 3.11
 
 Package: python3-torchvision
 Architecture: any
