=== debian/tests/control ===
--- 
+++ 
@@ -15,11 +15,6 @@
 Depends: @, python3-pytest
 Restrictions: allow-stderr
 Features: test-name=pytest-datasets-samplers
-
-Test-Command: cd test/ ; pytest-3 -v -k "not lraspp_mobilenet_v3_large-LRASPP" test_extended_models.py
-Depends: @, python3-pytest
-Restrictions: allow-stderr
-Features: test-name=pytest-extended-models
 
 Test-Command: cd test/ ; pytest-3 -v test_image.py
 Depends: @, python3-pytest
