## pytorch-vision 0.20.1

=== debian/changelog ===
pytorch-vision (0.20.1-1build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 12:18:01 +0100

pytorch-vision (0.20.1-1build1) plucky; urgency=medium

  * No-change rebuild for pytorch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 02 Jan 2025 23:16:51 +0000

pytorch-vision (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
    This release corresponds to PyTorch 2.5.X
  * Add python3-torch-cuda as dependency. (Closes: #1077499)
  * Build against libwebp-dev for support of webp format.
  * Autopkgtest: skip test_io.py

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Jan 2025 20:58:04 -0500
