=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                libgoogle-glog-dev,
                libjpeg-dev,
                libpng-dev,
+               libwebp-dev,
                libpostproc-dev,
                libswresample-dev,
                libswscale-dev,
@@ -39,7 +40,7 @@
 
 Package: python3-torchvision
 Architecture: any
-Depends: python3-torch, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-torch | python3-torch-cuda, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Recommends: python3-av
 Description: Datasets, Transforms and Models specific to Computer Vision
  The torchvision package consists of popular datasets, model architectures, and
