=== debian/tests/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
 Restrictions: allow-stderr
 Features: test-name=pytest-image
 
-Test-Command: cd test/ ; pytest-3 -v -k "not test_write_video_with_audio" test_io.py
-Depends: @, python3-pytest, python3-av
-Restrictions: allow-stderr
-Features: test-name=pytest-io
+#Test-Command: cd test/ ; pytest-3 -v -k "not test_write_video_with_audio" test_io.py
+#Depends: @, python3-pytest, python3-av
+#Restrictions: allow-stderr
+#Features: test-name=pytest-io
 
 Test-Command: cd test/ ; pytest-3 -v test_models_detection_anchor_utils.py
 Depends: @, python3-pytest
