=== debian/changelog ===
pytorch-vision (0.21.0-3) unstable; urgency=medium

  * Skip tests that do not work on IBM architectures.

 -- Mo Zhou <lumin@debian.org>  Sun, 02 Mar 2025 19:07:53 -0500

pytorch-vision (0.21.0-2) unstable; urgency=medium

  * Correctly Depends on python3-torch | python3-torch-cuda.
    Although not optimal, this at least allows the user to use the
    torchvision (compiled against the CPU variant) in conjunction with
    the CUDA variant of python3-torch.

 -- Mo Zhou <lumin@debian.org>  Wed, 26 Feb 2025 13:22:59 -0500

pytorch-vision (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
  * Build-Depends on PyTorch >= 2.6.0.
  * autopkgtest: Mask image tests for avif and heic due to external dependency.

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Feb 2025 14:39:12 -0500
