=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libpostproc-dev,
                libswresample-dev,
                libswscale-dev,
-               libtorch-dev (>= 2.0.0~),
+               libtorch-dev (>= 2.6.0~),
                ninja-build,
                pybind11-dev,
                python3,
@@ -36,11 +36,11 @@
                python3-pybind11,
                python3-scipy,
                python3-setuptools,
-               python3-torch (>= 2.0.0~)
+               python3-torch (>= 2.6.0~)
 
 Package: python3-torchvision
 Architecture: any
-Depends: python3-torch | python3-torch-cuda, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 Recommends: python3-av
 Description: Datasets, Transforms and Models specific to Computer Vision
  The torchvision package consists of popular datasets, model architectures, and
