=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ -Spybuild --with python3
+
+override_dh_auto_clean:
+	:
