=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Restrictions: allow-stderr
 Features: test-name=pytest-datasets-samplers
 
-Test-Command: cd test/ ; pytest-3 -v test_image.py
+Test-Command: cd test/ ; pytest-3 -v -k "not avif and not heic" test_image.py 
 Depends: @, python3-pytest
 Restrictions: allow-stderr
 Features: test-name=pytest-image
@@ -56,13 +56,15 @@
 Depends: @, python3-pytest
 Restrictions: allow-stderr
 Features: test-name=pytest-ops
+Architecture: amd64 arm64 ppc64el
 
 Test-Command: cd test/ ; pytest-3 -v -k 'not test_adjust_saturation' test_transforms.py
 Depends: @, python3-pytest
 Restrictions: allow-stderr
 Features: test-name=pytest-transforms.py
 
-Test-Command: cd test/ ; pytest-3 -v test_transforms_tensor.py
+Test-Command: cd test/ ; pytest-3 -v -k 'not test_color_jitter_contrast' test_transforms_tensor.py
 Depends: @, python3-pytest
 Restrictions: allow-stderr
 Features: test-name=pytest-transforms-tensor.py
+Architecture: amd64 arm64 ppc64el
